Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Functions | Variables
RequestStackAware.php File Reference

Go to the source code of this file.

## Functions
| eZ\Publish\Core\MVC\Symfony::getRequestStack ()
| eZ\Publish\Core\MVC\Symfony::setRequestStack (RequestStack $requestStack)
| eZ\Publish\Core\MVC\Symfony::getCurrentRequest ()

## Variables
trait | eZ\Publish\Core\MVC\Symfony::RequestStackAware
| Facilitates injection/access to request stack, and thus access to ongoing request for services that need it. More...

## Function Documentation

## ◆ getCurrentRequest()

eZ\Publish\Core\MVC\Symfony\getCurrentRequest | ( |  | ) |
| protected

Returns
  \Symfony\Component\HttpFoundation\Request|null

Definition at line 39 of file RequestStackAware.php.

References eZ\Publish\Core\MVC\Symfony\getCurrentRequest().

Referenced by eZ\Publish\Core\MVC\Symfony\Routing\Generator\RouteReferenceGenerator\generate(), eZ\Publish\Core\MVC\Symfony\getCurrentRequest(), eZ\Publish\Core\MVC\Symfony\Templating\GlobalHelper\getRequestedUriString(), eZ\Publish\Core\MVC\Symfony\Templating\GlobalHelper\getSiteaccess(), eZ\Publish\Core\MVC\Symfony\Templating\GlobalHelper\getSystemUriString(), eZ\Publish\Core\MVC\Symfony\Templating\GlobalHelper\getViewParameters(), eZ\Publish\Core\MVC\Symfony\FieldType\View\ParameterProvider\LocaleParameterProvider\getViewParameters(), and eZ\Publish\Core\MVC\Symfony\Templating\GlobalHelper\getViewParametersString().

## ◆ getRequestStack()

eZ\Publish\Core\MVC\Symfony\getRequestStack | ( |  | ) |

Returns
  RequestStack

Definition at line 23 of file RequestStackAware.php.

References eZ\Publish\Core\MVC\Symfony\getRequestStack().

Referenced by eZ\Publish\Core\MVC\Symfony\getRequestStack().

## ◆ setRequestStack()

eZ\Publish\Core\MVC\Symfony\setRequestStack | ( | RequestStack | $requestStack | ) |

Parameters

  RequestStack | $requestStack |

Definition at line 31 of file RequestStackAware.php.

References eZ\Publish\Core\MVC\Symfony\setRequestStack().

Referenced by eZ\Publish\Core\MVC\Symfony\setRequestStack().

## Variable Documentation

## ◆ RequestStackAware

trait eZ::Publish::Core::MVC::Symfony\RequestStackAware

Initial value:
{
private $requestStack

Facilitates injection/access to request stack, and thus access to ongoing request for services that need it.

Definition at line 15 of file RequestStackAware.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.